Skip to main content

Delete Cache Control

This API is used to delete a cache control policy for the website acceleration service.

Request​

Request-Line​

DELETE /cdn/v1.0/services/{serviceId}/cacheControl/{policyId} HTTP/1.1

Request Parameters​

Path Parameters​

ParameterTypeRequiredDescription
serviceIdIntegerMandatoryThe unique identifier for the service from which the cache control policy will be deleted.
policyIdIntegerMandatoryThe unique identifier of the cache control policy to be deleted.

Response​

Status Codes, Error Codes and Error Messages​

Status CodeError CodeError Message
400Request.BadRequestBad request.
400InvalidCustomer.IdEmptyCustomer ID is empty or invalid.
400InvalidService.IdIncorrectService ID is empty or invalid.
400InvalidService.IdPermissionService ID cannot be found or unknown.
400InvalidPolicy.IdPolicy ID is empty or invalid.

Examples​

Delete Cache Control​

Request​

DELETE /cdn/v1.0/services/228657/cacheControl/261874 HTTP/1.1

Successful Response Body​

HTTP/1.1 200